# MODIFY IN THE SVN

%define version 1.2.24
%define release %mkrel 3

%ifarch ppc64 %mips %arm
%define build_option PERL_CHECKER_TARGET='debug-code BCSUFFIX=""'
%else
%define build_option %nil
%endif

Summary: Verify Perl code
Name: perl_checker
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Development/Perl
%ifarch ppc64 %mips %arm
# need ocamlrun
Requires: ocaml
%endif
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/perl_checker
Source0: perl_checker-%version.tar.xz
BuildRequires: ocaml
# for the faked packages:
AutoReqProv: 0

Obsoletes: perl-MDK-Common-devel <= 1.1.24
Provides: perl-MDK-Common-devel <= 1.1.24

%description
Various verifying scripts created for DrakX

%prep
%setup -q

%build
make %build_option

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std %build_option

%files
%defattr(-,root,root)
%doc src/perl_checker.html
%{_bindir}/*
%{_datadir}/perl_checker
%{_datadir}/vim/ftplugin/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*






%changelog

* Wed Jan 23 2013 tv <tv> 1.2.24-3.mga3
+ Revision: 391711
- drop useless require on perl-base

* Sun Jan 13 2013 umeabot <umeabot> 1.2.24-2.mga3
+ Revision: 375601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - kill now uneeded build fix
    - rip %%clean && BuildRoot

* Sun Oct 14 2012 tv <tv> 1.2.24-1.mga3
+ Revision: 305281
- recognize /r modifier for regexpes
- recognize \E, \L, \u, \U in regexpes

* Thu Oct 04 2012 tv <tv> 1.2.23-1.mga3
+ Revision: 302816
- update URPM fake package

* Fri Sep 21 2012 tv <tv> 1.2.22-1.mga3
+ Revision: 296526
- update URPM fake package

* Thu Sep 06 2012 tv <tv> 1.2.21-1.mga3
+ Revision: 288804
- update RPM4 & URPM fake packages

* Tue Aug 07 2012 tv <tv> 1.2.20-1.mga3
+ Revision: 279781
- perl_checker:
  o default to UTF-8 charset when generating reference catalog

* Tue Apr 03 2012 tv <tv> 1.2.19-1.mga2
+ Revision: 228122
- fake packages:
  o add XML::LibXML::Reader for urpmi
- perl_checker:
  o recognize binmode()
  o recognize "%%f" in printf strings

* Mon Mar 26 2012 tv <tv> 1.2.18-1.mga2
+ Revision: 226514
- fake packages:
  o add RPM4 (for eg: iurt)
  o update Net::FTP for installer
- perl_checker:
  o recognize \B in regexps
  o recognize -p (pipe test) & -S (socket test)
  o recognize getpgrp()
  o kill "undeclared variable $^S"
- fake packages:
  o add RPM4 (for eg: iurt)
  o update Net::FTP for installer
- perl_checker:
  o recognize \B in regexps
  o recognize -p (pipe test) & -S (socket test)
  o recognize getpgrp()
  o kill "undeclared variable $^S"

* Mon Mar 19 2012 tv <tv> 1.2.17-1.mga2
+ Revision: 224464
- fix Glib fake package causing perl_checker to show bogus "too many
  parameters" on some isa() calls

* Fri Mar 16 2012 tv <tv> 1.2.16-1.mga2
+ Revision: 223712
- reduce perl_checker SNR on perl function expecting a variable number
  of arguments
- update URPM fake package

* Thu Mar 08 2012 tv <tv> 1.2.15-1.mga2
+ Revision: 221573
- blacklist some function names that perl_checker dislike (use, ...)
- fix 2 fake packages
- update fake packages

* Mon Jan 30 2012 tv <tv> 1.2.13-1.mga2
+ Revision: 203387
- parse .pm files too when generating fake packages
- update fake packages

* Tue Sep 20 2011 tv <tv> 1.2.12-1.mga2
+ Revision: 146166
- update fake packages

* Sat Jun 11 2011 spuhler <spuhler> 1.2.11-7.mga2
+ Revision: 103687
- increase rel for rebuild

* Fri May 13 2011 rtp <rtp> 1.2.11-6.mga1
+ Revision: 97887
- Require ocaml instead of ocamlrun file-dep for arm/mips case

* Fri Jan 21 2011 erwan <erwan> 1.2.11-5.mga1
+ Revision: 30464
- imported package perl_checker

